> For the complete documentation index, see [llms.txt](https://docs.calypso.money/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.calypso.money/acquiring/onramp-payments/onramp-webhooks.md).

# ONRAMP webhooks

**Webhook Events**

| Event type                           | Description                                   |
| ------------------------------------ | --------------------------------------------- |
| FIAT\_DEPOSIT\_ORDER\_CREATED        | Fiat order created                            |
| FIAT\_DEPOSIT\_ORDER\_CONFIRM        | Fiat order confirmed                          |
| FIAT\_DEPOSIT\_FIAT\_FUNDS\_RECEIVED | Fiat order already paid                       |
| FIAT\_DEPOSIT\_ORDER\_EXPIRED        | Fiat order expired and was not paid           |
| FIAT\_DEPOSIT\_ORDER\_FAILED         | Fiat order payment failed, status not changed |

**Payload description**

**FIAT\_DEPOSIT\_ORDER\_CREATED**

| Parameter        | Type   | Description                                                               |
| ---------------- | ------ | ------------------------------------------------------------------------- |
| cryptoAmount     | string | The amount in cryptocurrency of this order                                |
| fiatCurrency     | string | Fiat currency of this order                                               |
| fiatAmount       | string | The amount in fiat of this order                                          |
| orderId          | string | Unique order identifier                                                   |
| externalId       | string | External order identifier (specified by the merchant)                     |
| parentExternalId | number | System id of the order                                                    |
| idempotencyKey   | string | The external id that was generated while fiat order creating through api. |
| currency         | string | Crypto currency of this order                                             |
| type             | string | Event type                                                                |

**FIAT\_DEPOSIT\_ORDER\_CONFIRMED**

| Parameter        | Type   | Description                                                               |
| ---------------- | ------ | ------------------------------------------------------------------------- |
| orderId          | string | Unique order identifier                                                   |
| externalId       | string | External order identifier (specified by the merchant)                     |
| parentExternalId | number | System id of the order                                                    |
| idempotencyKey   | string | The external id that was generated while fiat order creating through api. |
| currency         | string | Crypto currency of this order                                             |
| type             | string | Event type                                                                |

**FIAT\_DEPOSIT\_FIAT\_FUNDS\_RECEIVED**

| Parameter        | Type   | Description                                                               |
| ---------------- | ------ | ------------------------------------------------------------------------- |
| cryptoAmount     | string | The amount in cryptocurrency of this order                                |
| fiatCurrency     | string | Fiat currency of this order                                               |
| fiatAmount       | string | The amount in fiat of this order                                          |
| orderId          | string | Unique order identifier                                                   |
| externalId       | string | External order identifier (specified by the merchant)                     |
| parentExternalId | number | System id of the order                                                    |
| idempotencyKey   | string | The external id that was generated while fiat order creating through api. |
| currency         | string | Crypto currency of this order                                             |
| type             | string | Event type                                                                |

**FIAT\_DEPOSIT\_ORDER\_FAILED**

| Parameter        | Type   | Description                                                               |
| ---------------- | ------ | ------------------------------------------------------------------------- |
| orderId          | string | Unique order identifier                                                   |
| externalId       | string | External order identifier (specified by the merchant)                     |
| parentExternalId | number | System id of the order                                                    |
| idempotencyKey   | string | The external id that was generated while fiat order creating through api. |
| currency         | string | Crypto currency of this order                                             |
| type             | string | Event type                                                                |
| reason           | string | Reason for fiat order payment failed                                      |

**FIAT\_DEPOSIT\_ORDER\_EXPIRED**

| Parameter        | Type   | Description                                                               |
| ---------------- | ------ | ------------------------------------------------------------------------- |
| orderId          | string | Unique order identifier                                                   |
| externalId       | string | External order identifier (specified by the merchant)                     |
| parentExternalId | number | System id of the order                                                    |
| idempotencyKey   | string | The external id that was generated while fiat order creating through api. |
| currency         | string | Crypto currency of this order                                             |
| type             | string | Event type                                                                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.calypso.money/acquiring/onramp-payments/onramp-webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
